%
% Funzione per testare il medoto delle secanti
%
%
function test
  
  % parametri per il problema
  x0   = 3 ;
  x1   = 1 ;
  epsi = 1E-15 ;
  
  % chiama il solutore
  X    = secanti(@fun,x0,x1,epsi) ;

  % soluzione esatta
  xe = 0;
  
  % differenza con la soluzione esatta
  ERR = X-xe

  % stima ordine di convergenza
  ORDER = log(ERR(3:end)./ERR(2:end-1)) ./ log(ERR(2:end-1)./ERR(1:end-2)) ;

  % stampa stima degli ordini
  disp(ORDER) ;
  
  % plottaggio delle iterate a video
  piter(@fun,X,xe) ;

end

function res = fun(x)
  res = x.*exp(x)./(1+x.^2) ;
  %res = (x-3).^3+(x-3)*0.1 ;
end